RNACOFOLD(l)

NAME
RNAcofold - calculate secondary structures of two RNAs with dimerization

SYNOPSIS
RNAcofold [-p[0]] [-C] [-T temp] [-4] [-d[0|1|2|3]] [-noLP] [-noGU] [-noCloseGU] [-e 1|2] [-P paramfile] [-nsp pairs] [-S scale] [-a] [-c] [-f concentrationfile]

DESCRIPTION
RNAcofold works much like RNAfold, but allows to specify two RNA sequences wich are then allowed to form a dimer structure. RNA sequences are read from stdin in the usual format, i.e. each line of input corresponds to one sequence, except for lines starting with ">" which contain the name of the next sequence. To compute the hybrid structure of two molecules, the two sequences must be concatenated using the '&' character as separator. RNAcofold can compute minimum free energy (mfe) structures, as well as partition function (pf) and base pairing probability matrix (using the -p switch).
Since dimer formation is concentration dependent, RNAcofold can be used to compute equilibrium concentrations for all five monomer and (homo/hetero)-dimer species, given input concentrations for the monomers.
Output consists of the mfe structure in bracket notation as well as PostScript structure plots and "dot plot" files containing the pair probabilities, see the RNAfold man page for details. In the dot plots a cross marks the chain break between the two concatenated sequences.
The program will continue to read new sequences until a line consisting of the single character @ or an end of file condition is encountered.

OPTIONS

-a  Compute the partition function and free energies not only of the hetero-dimer consisting of the two input sequences (the "AB dimer"), but also of the homo-dimers AA and BB as well as A and B monomers. The output will contain the free energies for each of these species, as well as 5 dot plots containing the conditional pair probabilities, called ABname5.ps, AAname5.ps and so on. For later use, these dot plot files also contain the free energy of the ensemble as a comment. Using -a automatically toggles the -p option.

-c  In addition to everything listed under the -a option, read in initial monomer concentrations and compute the expected equilibrium concentrations of the 5 possible species (AB, AA, BB, A, B). Start concentrations are read from stdin (unless the -f option is used) in [mol/l], equilibrium concentrations are given realtive to the sum of the two inputs. An arbitrary number of initial concentrations can be specified (one pair of concentrations per line).

-f concfile
    Specify a file with initial concentrations for the to sequences. The table consits of arbitrary many lines with just two numbers (the concentration of sequence A and B). Will automatically toggle the -c (and thus -a and -p) options (see above).

the -p, -p0, -noGU, -noCloseGU, -nsp, -S, -e, -P, -noLP, -T, -4, -d and -C options work as in RNAfold, see there for description.

REFERENCES
The energy parameters are taken from:
D.H. Mathews, J. Sabina, M. Zuker and H. Turner "Expanded Sequence Dependence of Thermodynamic Parameters Provides Robust Prediction of RNA Secondary Structure" JMB, 288, pp 911-940, 1999

If you use this program in your work you might want to cite:

I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994) Fast Folding and Comparison of RNA Secondary Structures. Monatshefte f. Chemie 125: 167-188

S.H.Bernhart, Ch. Flamm, P.F. Stadler, I.L. Hofacker Partition Function and Base Pairing Probabilities of RNA Heterodimers Algorithms Mol. Biol. (2006)

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Ivo L Hofacker, Peter F Stadler, Stephan Bernhart.

BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.